Bug 689477 - Review Request: perl-Task-Kensho-Testing - Task::Kensho::Testing Perl module
Review Request: perl-Task-Kensho-Testing - Task::Kensho::Testing Perl module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-21 12:05 EDT by Marcela Mašláňová
Modified: 2011-04-20 02:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-20 02:19:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ppisar: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2011-03-21 12:05:45 EDT
SRPM: http://mmaslano.fedorapeople.org/review/perl-Task-Kensho-Testing-0.27-1.fc14.src.rpm
SPEC: http://mmaslano.fedorapeople.org/review/perl-Task-Kensho-Testing.spec
Description: 
Kenshō (見性) (C. Wu) is a Japanese term for enlightenment
experiences—most commonly used within the confines of Zen
Buddhism—literally meaning "seeing one's nature"[1] or "true self."[2] It
generally "refers to the realization of nonduality of subject and
object."[3]

Task::Kensho is a first cut at building a list of recommended modules for
Enlightened Perl development. CPAN is wonderful, but there are too many
wheels and you have to pick and choose amongst the various competing
technologies.
Comment 1 Petr Pisar 2011-04-19 08:53:01 EDT
Source file is original. Ok.
There is no better summary. Ok.
License verified from lib/Task/Kensho/Testing.pm. Ok.
No XS code, noarch architecture is Ok.

Description verified from lib/Task/Kensho/Testing.pm. Ok.
Note: I'm not sure linguistic foreword is useful here.

TODO: Remove all BuildRequires that are Requires from META.yml. Tests do not require them as the only test loads this module and code of the module does not use the Requires (it's a pod only). To overcome Module::Autoinstall interaction with CPAN, pass `--skipdeps' option to perl Makefile.PL.

TODO: Do not package MYMETA.yml. It has almost the same meaning as packaging META.yml. (None.)

All tests pass. Ok.

$ rpmlint perl-Task-Kensho-Testing.spec ../SRPMS/perl-Task-Kensho-Testing-0.27-1.fc14.src.rpm ../RPMS/noarch/perl-Task-Kensho-Testing-0.27-1.fc14.noarch.rpm 
perl-Task-Kensho-Testing.src: W: spelling-error %description -l en_US Kenshō 
perl-Task-Kensho-Testing.src: W: spelling-error %description -l en_US nonduality -> non duality, non-duality, individuality
perl-Task-Kensho-Testing.noarch: W: spelling-error %description -l en_US Kenshō 
perl-Task-Kensho-Testing.noarch: W: spelling-error %description -l en_US nonduality -> non duality, non-duality, individuality
2 packages and 1 specfiles checked; 0 errors, 4 warnings.
rpmlint Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Task-Kensho-Testing-0.27-1.fc14.noarch.rpm drwxr-xr-x    2 root    root                        0 dub 19 14:42 /usr/share/doc/perl-Task-Kensho-Testing-0.27
-rw-r--r--    1 root    root                     3204 led 20 16:22 /usr/share/doc/perl-Task-Kensho-Testing-0.27/Changes
-rw-r--r--    1 root    root                      630 led 20 18:16 /usr/share/doc/perl-Task-Kensho-Testing-0.27/MYMETA.yml
-rw-r--r--    1 root    root                     1485 led 20 15:10 /usr/share/doc/perl-Task-Kensho-Testing-0.27/README
-rw-r--r--    1 root    root                     3415 dub 19 14:42 /usr/share/man/man3/Task::Kensho::Testing.3pm.gz
drwxr-xr-x    2 root    root                        0 dub 19 14:42 /usr/share/perl5/Task
drwxr-xr-x    2 root    root                        0 dub 19 14:42 /usr/share/perl5/Task/Kensho
-rw-r--r--    1 root    root                     3516 led 20 18:04 /usr/share/perl5/Task/Kensho/Testing.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Task-Kensho-Testing-0.27-1.fc14.noarch.rpm | sort | uniq -c
      1 perl(Devel::Cover)  
      1 perl(:MODULE_COMPAT_5.12.3)  
      1 perl(strict)  
      1 perl(Test::Exception)  
      1 perl(Test::Memory::Cycle)  
      1 perl(Test::Most)  
      1 perl(Test::Pod)  
      1 perl(Test::Pod::Coverage)  
      1 perl(Test::Simple)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      2 rpmlib(VersionedDependencies) <= 3.0.3-1

$ rpm -q --provides -p ../RPMS/noarch/perl-Task-Kensho-Testing-0.27-1.fc14.noarch.rpm | sort | uniq -c
      1 perl(Task::Kensho::Testing) = 0.27
      1 perl-Task-Kensho-Testing = 0.27-1.fc14

Binary dependencies Ok.

$ resolvedeps-f16 ../RPMS/noarch/perl-Task-Kensho-Testing-0.27-1.fc14.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F16 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3010704). Ok.

Otherwise package is in line with Fedora and perl packaging guidelines.


Resolution: Package APPROVED.
Comment 2 Marcela Mašláňová 2011-04-19 09:18:37 EDT
New Package SCM Request
=======================
Package Name: perl-Task-Kensho-Testing
Short Description: Task::Kensho::Testing Perl module
Owners: mmaslano psabata ppisar
Branches: 
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2011-04-19 14:11:34 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.